Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ox
Class NamespaceResolver

`java.lang.Object
oracle.toplink.ox.NamespaceResolver`

All Implemented Interfaces:
  XMLNamespaceResolver

public class NamespaceResolver
extends java.lang.Object
implements XMLNamespaceResolver

It is common for an XML document to include one or more namespaces. TopLink supports this using its NamespaceResolver. The namespace resolver maintains pairs of namespace prefixes and URIs. TopLink uses these prefixes in conjunction with the XPath statements you specify on EIS mappings to XML records and XML mappings.

Although TopLink captures namespace prefixes in the XPath statements for mappings (if applicable), the input document is not required to use the same namespace prefixes. TopLink will use the namespace prefixes specified in the mapping when creating new documents.

Code Sample
`NamespaceResolver resolver = new NamespaceResolver();
resolver.put( "ns", "urn:namespace-example");
XMLDescriptor descriptor = new XMLDescriptor();
descriptor.setJavaClass(Customer.class);
descriptor.setDefaultRootElement("ns:customer");
descriptor.setNamespaceResolver(resolver);
XMLDirectMapping mapping = new XMLDirectMapping();
mapping.setAttributeName("id");
mapping.setXPath("ns:id/text()");
descriptor.addMapping(mapping);`

See Also:
  `XMLDescriptor`, `EISDescriptor`

Constructor Summary
`NamespaceResolver()` Default constructor, creates a new NamespaceResolver.

Method Summary
`java.util.Enumeration` | `getPrefixes()` Returns the list of prefixes in the NamespaceResolver
`void` | `put(java.lang.String prefix, java.lang.String namespaceURI)` Adds a namespace to the collection of namespaces on the NamespaceResolver
`java.lang.String` | `resolveNamespacePrefix(java.lang.String prefix)` Returns the namespace URI associated with a specified namespace prefix
`java.lang.String` | `resolveNamespaceURI(java.lang.String uri)` Return the namespace prefix associated with a namespace URI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceResolver

    public NamespaceResolver()

  Default constructor, creates a new NamespaceResolver.

Method Detail

### resolveNamespacePrefix

    public java.lang.String resolveNamespacePrefix(java.lang.String prefix)

  Returns the namespace URI associated with a specified namespace prefix
  Specified by:
    `resolveNamespacePrefix` in interface `XMLNamespaceResolver`
  Parameters:
    `prefix` - The prefix to lookup a namespace URI for
  Returns:
    The namespace URI associated with the specified prefix

### resolveNamespaceURI

    public java.lang.String resolveNamespaceURI(java.lang.String uri)

  Return the namespace prefix associated with a namespace URI.
  Parameters:
    `uri` - A namespace URI.
  Returns:
    The prefix associated with the namespace URI.

### put

    public void put(java.lang.String prefix,
                    java.lang.String namespaceURI)

  Adds a namespace to the collection of namespaces on the NamespaceResolver
  Parameters:
    `prefix` - The prefix for a namespace
    `namespaceURI` - The namespace URI associated with the specified prefix

### getPrefixes

    public java.util.Enumeration getPrefixes()

  Returns the list of prefixes in the NamespaceResolver
  Returns:
    An Enumeration containing the prefixes in the NamespaceResolver

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD